--  Copyright (2008-2013) Cdric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

private package Nomo.Premise_Properties is

   pragma Pure;

   type Premise_Property is (Excitatory_Intention,
                             Excitatory_Evidence,
                             Inhibitory_Evidence,
                             Inhibitory_Intention);
   pragma Ordered (Premise_Property);

   subtype Excitatory_Property is Premise_Property range Excitatory_Intention .. Excitatory_Evidence;
   subtype Inhibitory_Property is Premise_Property range Inhibitory_Evidence .. Inhibitory_Intention;

end Nomo.Premise_Properties;
